CategoriesCreate a category

Create a category

curl -X POST "https://www.my-site.com/api/site/v2/categories/create" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-site-id: YOUR_API_KEY" \
  -d '{
  "name": "John Doe",
  "slug": "example_string",
  "enabled": "example_string",
  "weighting": "example_string",
  "meta_title": "example_string",
  "meta_desc": "example_string",
  "og_title": "example_string",
  "og_desc": "example_string",
  "og_image": "example_string",
  "og_type": "example_string",
  "twitter_type": "example_string",
  "image_alt": "example_string",
  "parent": "example_string"
}'
{}
POST
/categories/create
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: x-api-key)
x-api-keystring
Required

Your Siteglide API key

Your Siteglide API key
API Key (header: x-site-id)
x-site-idstring
Required

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. Your Siteglide API key

header
x-site-idstring
Required

API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Responses

OK